Class UpdateTagTemplateRequest.Builder (1.89.0)

public static final class UpdateTagTemplateRequest.Builder extends GeneratedMessage.Builder<UpdateTagTemplateRequest.Builder> implements UpdateTagTemplateRequestOrBuilder

Request message for UpdateTagTemplate.

Protobuf type google.cloud.datacatalog.v1.UpdateTagTemplateRequest

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

build()

public UpdateTagTemplateRequest build()
Returns
Type Description
UpdateTagTemplateRequest

buildPartial()

public UpdateTagTemplateRequest buildPartial()
Returns
Type Description
UpdateTagTemplateRequest

clear()

public UpdateTagTemplateRequest.Builder clear()
Returns
Type Description
UpdateTagTemplateRequest.Builder
Overrides

clearTagTemplate()

public UpdateTagTemplateRequest.Builder clearTagTemplate()

Required. The template to update. The name field must be set.

.google.cloud.datacatalog.v1.TagTemplate tag_template = 1 [(.google.api.field_behavior) = REQUIRED];

Returns
Type Description
UpdateTagTemplateRequest.Builder

clearUpdateMask()

public UpdateTagTemplateRequest.Builder clearUpdateMask()

Names of fields whose values to overwrite on a tag template. Currently, only display_name and is_publicly_readable can be overwritten.

If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.

Note: Updating the is_publicly_readable field may require up to 12 hours to take effect in search results.

.google.protobuf.FieldMask update_mask = 2;

Returns
Type Description
UpdateTagTemplateRequest.Builder

getDefaultInstanceForType()

public UpdateTagTemplateRequest getDefaultInstanceForType()
Returns
Type Description
UpdateTagTemplateRequest

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getTagTemplate()

public TagTemplate getTagTemplate()

Required. The template to update. The name field must be set.

.google.cloud.datacatalog.v1.TagTemplate tag_template = 1 [(.google.api.field_behavior) = REQUIRED];

Returns
Type Description
TagTemplate

The tagTemplate.

getTagTemplateBuilder()

public TagTemplate.Builder getTagTemplateBuilder()

Required. The template to update. The name field must be set.

.google.cloud.datacatalog.v1.TagTemplate tag_template = 1 [(.google.api.field_behavior) = REQUIRED];

Returns
Type Description
TagTemplate.Builder

getTagTemplateOrBuilder()

public TagTemplateOrBuilder getTagTemplateOrBuilder()

Required. The template to update. The name field must be set.

.google.cloud.datacatalog.v1.TagTemplate tag_template = 1 [(.google.api.field_behavior) = REQUIRED];

Returns
Type Description
TagTemplateOrBuilder

getUpdateMask()

public FieldMask getUpdateMask()

Names of fields whose values to overwrite on a tag template. Currently, only display_name and is_publicly_readable can be overwritten.

If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.

Note: Updating the is_publicly_readable field may require up to 12 hours to take effect in search results.

.google.protobuf.FieldMask update_mask = 2;

Returns
Type Description
FieldMask

The updateMask.

getUpdateMaskBuilder()

public FieldMask.Builder getUpdateMaskBuilder()

Names of fields whose values to overwrite on a tag template. Currently, only display_name and is_publicly_readable can be overwritten.

If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.

Note: Updating the is_publicly_readable field may require up to 12 hours to take effect in search results.

.google.protobuf.FieldMask update_mask = 2;

Returns
Type Description
Builder

getUpdateMaskOrBuilder()

public FieldMaskOrBuilder getUpdateMaskOrBuilder()

Names of fields whose values to overwrite on a tag template. Currently, only display_name and is_publicly_readable can be overwritten.

If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.

Note: Updating the is_publicly_readable field may require up to 12 hours to take effect in search results.

.google.protobuf.FieldMask update_mask = 2;

Returns
Type Description
FieldMaskOrBuilder

hasTagTemplate()

public boolean hasTagTemplate()

Required. The template to update. The name field must be set.

.google.cloud.datacatalog.v1.TagTemplate tag_template = 1 [(.google.api.field_behavior) = REQUIRED];

Returns
Type Description
boolean

Whether the tagTemplate field is set.

hasUpdateMask()

public boolean hasUpdateMask()

Names of fields whose values to overwrite on a tag template. Currently, only display_name and is_publicly_readable can be overwritten.

If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.

Note: Updating the is_publicly_readable field may require up to 12 hours to take effect in search results.

.google.protobuf.FieldMask update_mask = 2;

Returns
Type Description
boolean

Whether the updateMask field is set.

internalGetFieldAccessorTable()

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Returns
Type Description
FieldAccessorTable
Overrides

isInitialized()

public final boolean isInitialized()
Returns
Type Description
boolean
Overrides

mergeFrom(UpdateTagTemplateRequest other)

public UpdateTagTemplateRequest.Builder mergeFrom(UpdateTagTemplateRequest other)
Parameter
Name Description
other UpdateTagTemplateRequest
Returns
Type Description
UpdateTagTemplateRequest.Builder

mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)

public UpdateTagTemplateRequest.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input CodedInputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
UpdateTagTemplateRequest.Builder
Overrides
Exceptions
Type Description
IOException

mergeFrom(Message other)

public UpdateTagTemplateRequest.Builder mergeFrom(Message other)
Parameter
Name Description
other Message
Returns
Type Description
UpdateTagTemplateRequest.Builder
Overrides

mergeTagTemplate(TagTemplate value)

public UpdateTagTemplateRequest.Builder mergeTagTemplate(TagTemplate value)

Required. The template to update. The name field must be set.

.google.cloud.datacatalog.v1.TagTemplate tag_template = 1 [(.google.api.field_behavior) = REQUIRED];

Parameter
Name Description
value TagTemplate
Returns
Type Description
UpdateTagTemplateRequest.Builder

mergeUpdateMask(FieldMask value)

public UpdateTagTemplateRequest.Builder mergeUpdateMask(FieldMask value)

Names of fields whose values to overwrite on a tag template. Currently, only display_name and is_publicly_readable can be overwritten.

If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.

Note: Updating the is_publicly_readable field may require up to 12 hours to take effect in search results.

.google.protobuf.FieldMask update_mask = 2;

Parameter
Name Description
value FieldMask
Returns
Type Description
UpdateTagTemplateRequest.Builder

setTagTemplate(TagTemplate value)

public UpdateTagTemplateRequest.Builder setTagTemplate(TagTemplate value)

Required. The template to update. The name field must be set.

.google.cloud.datacatalog.v1.TagTemplate tag_template = 1 [(.google.api.field_behavior) = REQUIRED];

Parameter
Name Description
value TagTemplate
Returns
Type Description
UpdateTagTemplateRequest.Builder

setTagTemplate(TagTemplate.Builder builderForValue)

public UpdateTagTemplateRequest.Builder setTagTemplate(TagTemplate.Builder builderForValue)

Required. The template to update. The name field must be set.

.google.cloud.datacatalog.v1.TagTemplate tag_template = 1 [(.google.api.field_behavior) = REQUIRED];

Parameter
Name Description
builderForValue TagTemplate.Builder
Returns
Type Description
UpdateTagTemplateRequest.Builder

setUpdateMask(FieldMask value)

public UpdateTagTemplateRequest.Builder setUpdateMask(FieldMask value)

Names of fields whose values to overwrite on a tag template. Currently, only display_name and is_publicly_readable can be overwritten.

If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.

Note: Updating the is_publicly_readable field may require up to 12 hours to take effect in search results.

.google.protobuf.FieldMask update_mask = 2;

Parameter
Name Description
value FieldMask
Returns
Type Description
UpdateTagTemplateRequest.Builder

setUpdateMask(FieldMask.Builder builderForValue)

public UpdateTagTemplateRequest.Builder setUpdateMask(FieldMask.Builder builderForValue)

Names of fields whose values to overwrite on a tag template. Currently, only display_name and is_publicly_readable can be overwritten.

If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.

Note: Updating the is_publicly_readable field may require up to 12 hours to take effect in search results.

.google.protobuf.FieldMask update_mask = 2;

Parameter
Name Description
builderForValue Builder
Returns
Type Description
UpdateTagTemplateRequest.Builder